<template>
    <v-btn
        color="#FD1D1D"
        dark
        @click="submit">
        {{ trialButtonText }}
    </v-btn>
</template>

<script>
import { mapActions } from 'vuex'
export default {
    name: 'FreeTrialButton',
    props: {
        trialButtonText: {
            type: String,
            default: ''
        }
    },
    methods: {
        ...mapActions(['updatePricingPlan']),
        submit () {
            this.updatePricingPlan('trial').then(() => {
                sessionStorage.setItem('princingPlan', 'trial')
                const path = '/checkout'
                if (this.$route.path !== path) this.$router.push(path)
            })
        }
    }
}
</script>

<style scoped>

</style>
